Skip to content
API referencePlatformPlatform billing

Platform_bulk_cancel_subscriptions

POST
/platform/v1/billing/subscriptions/bulk-cancel

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/subscriptions/bulk-cancel" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "filter": {},    "reason": "string"  }'
{  "affected": 0,  "failed": [    {      "error": "string",      "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627"    }  ],  "idempotency_replay": true}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}